ICC-4c C# SDK

Public Member Functions | List of all members
ICC4cPwmSdk.Device.IEccMiscFeatures Interface Reference
Inheritance diagram for ICC4cPwmSdk.Device.IEccMiscFeatures:

## Public Member Functions
void | ResetFirmware ()
| Resets Firmware More...
bool | GetFrontEndPowerState ()
| Returns FrontEnd power supply state More...
void | SetFontEndPowerState (bool state)
| Sets FrontEnd power supply state More...
float | GetFrontEndVoltage ()
| Returns FrontEnd supply voltage [V] More...
void | SetFrontEndVoltage (float frontEndVoltage)
| Sets FrontEnd supply voltage [V] More...
EPwmFrequency | GetOutputStagePwmFrequency ()
| Returns output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz] More...
void | SetOutputStagePwmFrequency (EPwmFrequency frequency)
| Sets output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz] More...
bool | GetOutputStageEnabled ()
| Returns output stage state on specified channel More...
void | SetOutputStageEnabled (bool enabled)
| Sets output stage state on specified channel More...
float | GetAdcI ()
| Returns current on specified channel More...
float | GetAdcV ()
| Returns voltage on specified channel More...
int | GetDevPower ()
| Returns 3v3 for device on specified channel More...
void | SetDevPower (int power)
| Sets 3v3 for device on specified channel More...
EConnectedDeviceType | GetDeviceType ()
| Returns device type on specified channel More...
float | GetUin ()
| Returns UIN More...
float | GetIin ()
| Returns IIN More...
float | GetUfe ()
| Returns UFE More...
float | GetAnalogIn ()
| Returns analog input on specified channel More...
float | GetResistance ()
| Returns Resistance on specified channel More...
EAutoConfig | GetAutoConfig ()
| Returns parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType) More...
void | SetAutoConfig (EAutoConfig eAutoConfig)
| Sets parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType) More...
List< byte > | GetI2CList ()
| Returns list of I2C addresses on specified channel More...
void | SetGpioState (int value)
| Sets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5 More...
int | GetGPIOState ()
| Gets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5 More...

## Member Function Documentation

## ◆ GetAdcI()

float ICC4cPwmSdk.Device.IEccMiscFeatures.GetAdcI | ( |  | ) |

Returns current on specified channel

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetAdcV()

float ICC4cPwmSdk.Device.IEccMiscFeatures.GetAdcV | ( |  | ) |

Returns voltage on specified channel

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetAnalogIn()

float ICC4cPwmSdk.Device.IEccMiscFeatures.GetAnalogIn | ( |  | ) |

Returns analog input on specified channel

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetAutoConfig()

EAutoConfig ICC4cPwmSdk.Device.IEccMiscFeatures.GetAutoConfig | ( |  | ) |

Returns parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType)

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetDeviceType()

EConnectedDeviceType ICC4cPwmSdk.Device.IEccMiscFeatures.GetDeviceType | ( |  | ) |

Returns device type on specified channel

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetDevPower()

int ICC4cPwmSdk.Device.IEccMiscFeatures.GetDevPower | ( |  | ) |

Returns 3v3 for device on specified channel

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetFrontEndPowerState()

bool ICC4cPwmSdk.Device.IEccMiscFeatures.GetFrontEndPowerState | ( |  | ) |

Returns FrontEnd power supply state

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetFrontEndVoltage()

float ICC4cPwmSdk.Device.IEccMiscFeatures.GetFrontEndVoltage | ( |  | ) |

Returns FrontEnd supply voltage [V]

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetGPIOState()

int ICC4cPwmSdk.Device.IEccMiscFeatures.GetGPIOState | ( |  | ) |

Gets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetI2CList()

List<byte> ICC4cPwmSdk.Device.IEccMiscFeatures.GetI2CList | ( |  | ) |

Returns list of I2C addresses on specified channel

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetIin()

float ICC4cPwmSdk.Device.IEccMiscFeatures.GetIin | ( |  | ) |

Returns IIN

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetOutputStageEnabled()

bool ICC4cPwmSdk.Device.IEccMiscFeatures.GetOutputStageEnabled | ( |  | ) |

Returns output stage state on specified channel

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetOutputStagePwmFrequency()

EPwmFrequency ICC4cPwmSdk.Device.IEccMiscFeatures.GetOutputStagePwmFrequency | ( |  | ) |

Returns output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz]

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetResistance()

float ICC4cPwmSdk.Device.IEccMiscFeatures.GetResistance | ( |  | ) |

Returns Resistance on specified channel

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetUfe()

float ICC4cPwmSdk.Device.IEccMiscFeatures.GetUfe | ( |  | ) |

Returns UFE

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ GetUin()

float ICC4cPwmSdk.Device.IEccMiscFeatures.GetUin | ( |  | ) |

Returns UIN

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ ResetFirmware()

void ICC4cPwmSdk.Device.IEccMiscFeatures.ResetFirmware | ( |  | ) |

Resets Firmware

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetAutoConfig()

void ICC4cPwmSdk.Device.IEccMiscFeatures.SetAutoConfig | ( | EAutoConfig | eAutoConfig | ) |

Sets parameter value stored in driver's board EEPROM (Off, Internal triggerType, External triggerType)

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetDevPower()

void ICC4cPwmSdk.Device.IEccMiscFeatures.SetDevPower | ( | int | power | ) |

Sets 3v3 for device on specified channel

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetFontEndPowerState()

void ICC4cPwmSdk.Device.IEccMiscFeatures.SetFontEndPowerState | ( | bool | state | ) |

Sets FrontEnd power supply state

Parameters

  state |

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetFrontEndVoltage()

void ICC4cPwmSdk.Device.IEccMiscFeatures.SetFrontEndVoltage | ( | float | frontEndVoltage | ) |

Sets FrontEnd supply voltage [V]

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetGpioState()

void ICC4cPwmSdk.Device.IEccMiscFeatures.SetGpioState | ( | int | value | ) |

Sets logical level on GPIO pins (bitwise; 0=LOW, 1=HIGH) Bit# 0 - external GPIO0 1 - external GPIO1 2 - external GPIO2 3 - external GPIO3 4 - internal GPIO_IN0 5 - internal GPIO_IN1 6 - internal GPIO_IN4 7 - internal GPIO_IN5

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetOutputStageEnabled()

void ICC4cPwmSdk.Device.IEccMiscFeatures.SetOutputStageEnabled | ( | bool | enabled | ) |

Sets output stage state on specified channel

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

## ◆ SetOutputStagePwmFrequency()

void ICC4cPwmSdk.Device.IEccMiscFeatures.SetOutputStagePwmFrequency | ( | EPwmFrequency | frequency | ) |

Sets output stage PWM frequency [400, 500, 600, 1000 and 1200 kHz]

Returns

Implemented in ICC4cPwmSdk.Device.Ecc1cSdkDeviceController.

The documentation for this interface was generated from the following file:

- Device/Ecc1cSdkDeviceController.cs